path: /build/build/aws-crt-python-dev-python-0.25.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/aws-crt-python -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/aws-crt-python
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/aws-crt-python && luet-portage --dir
    /pkgdir/aws-crt-python dev-python/aws-crt-python && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:ba17ce08bb2f03dac0306a348e84ebfd8b078fc98ff1cac9126fbd587f6381c0
  package:
    name: aws-crt-python
    version: 0.25.4
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: distro
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Python bindings for the AWS Common Runtime
    uri:
    - https://github.com/awslabs/aws-crt-python
    license: Apache-2.0
    buildtimestamp: 2025-03-29 09:54:56.575775502 +0000 UTC m=+388.692732671
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-util/cmake
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/aws-crt-python
      kit: python-modules-kit
      original.package.name: dev-python/aws-crt-python
      original.package.slot: "0"
      original.package.version: 0.25.4
    treedir: /build/packages
  package_dir: /pkgdir/aws-crt-python
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f874799cfb1486f046144e7209e8ce4f90c3fd61e7562cac4b5287d236e62506
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/_awscrt.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/awscrt/__init__.py
- usr/lib/python3.9/site-packages/awscrt/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/_test.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/_test.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/_test.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/auth.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/auth.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/auth.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/checksums.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/checksums.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/checksums.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/common.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/common.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/common.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/crypto.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/crypto.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/crypto.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/http.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/http.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/http.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/io.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/io.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/io.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/mqtt.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/mqtt.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/mqtt.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/mqtt5.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/mqtt5.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/mqtt5.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/s3.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/s3.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/s3.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/websocket.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/websocket.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/__pycache__/websocket.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/_test.py
- usr/lib/python3.9/site-packages/awscrt/auth.py
- usr/lib/python3.9/site-packages/awscrt/checksums.py
- usr/lib/python3.9/site-packages/awscrt/common.py
- usr/lib/python3.9/site-packages/awscrt/crypto.py
- usr/lib/python3.9/site-packages/awscrt/eventstream/__init__.py
- usr/lib/python3.9/site-packages/awscrt/eventstream/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/eventstream/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/eventstream/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/eventstream/__pycache__/rpc.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/awscrt/eventstream/__pycache__/rpc.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/awscrt/eventstream/__pycache__/rpc.cpython-39.pyc
- usr/lib/python3.9/site-packages/awscrt/eventstream/rpc.py
- usr/lib/python3.9/site-packages/awscrt/exceptions.py
- usr/lib/python3.9/site-packages/awscrt/http.py
- usr/lib/python3.9/site-packages/awscrt/io.py
- usr/lib/python3.9/site-packages/awscrt/mqtt.py
- usr/lib/python3.9/site-packages/awscrt/mqtt5.py
- usr/lib/python3.9/site-packages/awscrt/s3.py
- usr/lib/python3.9/site-packages/awscrt/websocket.py
- usr/lib/python3.9/site-packages/awscrt-1.0.0.dev0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/awscrt-1.0.0.dev0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/awscrt-1.0.0.dev0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/awscrt-1.0.0.dev0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/awscrt-1.0.0.dev0-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/awscrt-1.0.0.dev0-py3.9.egg-info/top_level.txt
- usr/share/doc/aws-crt-python-0.25.4/README.md.bz2
- var/db/pkg/dev-python/aws-crt-python-0.25.4/BDEPEND
- var/db/pkg/dev-python/aws-crt-python-0.25.4/BUILD_TIME
- var/db/pkg/dev-python/aws-crt-python-0.25.4/CATEGORY
- var/db/pkg/dev-python/aws-crt-python-0.25.4/CBUILD
- var/db/pkg/dev-python/aws-crt-python-0.25.4/CFLAGS
- var/db/pkg/dev-python/aws-crt-python-0.25.4/CHOST
- var/db/pkg/dev-python/aws-crt-python-0.25.4/CONTENTS
- var/db/pkg/dev-python/aws-crt-python-0.25.4/COUNTER
- var/db/pkg/dev-python/aws-crt-python-0.25.4/CTARGET
- var/db/pkg/dev-python/aws-crt-python-0.25.4/CXX
- var/db/pkg/dev-python/aws-crt-python-0.25.4/CXXFLAGS
- var/db/pkg/dev-python/aws-crt-python-0.25.4/DEFINED_PHASES
- var/db/pkg/dev-python/aws-crt-python-0.25.4/DEPEND
- var/db/pkg/dev-python/aws-crt-python-0.25.4/DESCRIPTION
- var/db/pkg/dev-python/aws-crt-python-0.25.4/EAPI
- var/db/pkg/dev-python/aws-crt-python-0.25.4/FEATURES
- var/db/pkg/dev-python/aws-crt-python-0.25.4/HOMEPAGE
- var/db/pkg/dev-python/aws-crt-python-0.25.4/INHERITED
- var/db/pkg/dev-python/aws-crt-python-0.25.4/IUSE
- var/db/pkg/dev-python/aws-crt-python-0.25.4/IUSE_EFFECTIVE
- var/db/pkg/dev-python/aws-crt-python-0.25.4/KEYWORDS
- var/db/pkg/dev-python/aws-crt-python-0.25.4/LDFLAGS
- var/db/pkg/dev-python/aws-crt-python-0.25.4/LICENSE
- var/db/pkg/dev-python/aws-crt-python-0.25.4/NEEDED
- var/db/pkg/dev-python/aws-crt-python-0.25.4/NEEDED.ELF.2
- var/db/pkg/dev-python/aws-crt-python-0.25.4/PF
- var/db/pkg/dev-python/aws-crt-python-0.25.4/PROVIDES
- var/db/pkg/dev-python/aws-crt-python-0.25.4/RDEPEND
- var/db/pkg/dev-python/aws-crt-python-0.25.4/REQUIRES
- var/db/pkg/dev-python/aws-crt-python-0.25.4/SIZE
- var/db/pkg/dev-python/aws-crt-python-0.25.4/SLOT
- var/db/pkg/dev-python/aws-crt-python-0.25.4/USE
- var/db/pkg/dev-python/aws-crt-python-0.25.4/aws-crt-python-0.25.4.ebuild
- var/db/pkg/dev-python/aws-crt-python-0.25.4/environment.bz2
- var/db/pkg/dev-python/aws-crt-python-0.25.4/repository
package_cacheimage: ""
runtime:
  name: aws-crt-python
  version: 0.25.4
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Python bindings for the AWS Common Runtime
  uri:
  - https://github.com/awslabs/aws-crt-python
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-util/cmake
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/aws-crt-python
    kit: python-modules-kit
    original.package.name: dev-python/aws-crt-python
    original.package.slot: "0"
    original.package.version: 0.25.4
